import 'firebase/firestore';
export declare const entries: <T>({ userId, collection }: {
  userId: string;
  collection: string;
}) => Promise<{
  id: string;
  data: T;
}[]>;
export declare const deleteEntry: ({ id, collection }: {
  id: string;
  collection: string;
}) => Promise<void>;
export declare const createEntry: <T>({ data, collection }: {
  data: T;
  collection: string;
}) => Promise<{
  id: string;
  data: T;
}>;
export declare const getEntry: <T>({ id, collection }: {
  id: string;
  collection: string;
}) => Promise<{
  id: string;
  data: T;
}>;
export declare const updateEntry: <T>({ entry, collection }: {
  entry: T;
  collection: string;
}) => Promise<T>;
export declare const snapshotEntry: <T>({ id, collection, onNext, onError }: {
  id: string;
  collection: string;
  onNext: (snapshot: {
    id: string;
    data: T;
  }) => Promise<void>;
  onError?: (error: string) => void;
}) => Promise<() => void | undefined>;
